Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.gui
Class DefaultTreeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          javax.swing.table.DefaultTableModel
              org.apache.jorphan.gui.AbstractTreeTableModel
                  org.apache.jorphan.gui.DefaultTreeTableModel

All Implemented Interfaces:
  Serializable, TableModel, TreeTableModel

public class DefaultTreeTableModel
extends AbstractTreeTableModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jorphan.gui.AbstractTreeTableModel
`classes, headers, listener, objects, readFunctors, rootNode, writeFunctors`

Fields inherited from class javax.swing.table.DefaultTableModel
`columnIdentifiers, dataVector`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DefaultTreeTableModel()`
`DefaultTreeTableModel(String[] headers, Functor[] readFunctors, Functor[] writeFunctors, Class[] editorClasses)`
`DefaultTreeTableModel(TreeNode root)`
`DefaultTreeTableModel(TreeNode root, boolean editable)`

Methods inherited from class org.apache.jorphan.gui.AbstractTreeTableModel
`addTableModelListener, clearData, fireTreeNodesChanged, getChild, getChildCount, getColumnClass, getColumnCount, getColumnName, getRootNode, getRowCount, getValueAt, getValueAt, isCellEditable, isCellEditable, isLeaf, nodeStructureChanged, removeTableModelListener, setValueAt, setValueAt`

Methods inherited from class javax.swing.table.DefaultTableModel
`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getDataVector, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

Methods inherited from class javax.swing.table.AbstractTableModel
`findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTreeTableModel

    public DefaultTreeTableModel()

### DefaultTreeTableModel

    public DefaultTreeTableModel(TreeNode root)

Parameters:
  `root` -

### DefaultTreeTableModel

    public DefaultTreeTableModel(TreeNode root,
                                 boolean editable)

Parameters:
  `root` -
  `editable` -

### DefaultTreeTableModel

    public DefaultTreeTableModel(String[] headers,
                                 Functor[] readFunctors,
                                 Functor[] writeFunctors,
                                 Class[] editorClasses)

Parameters:
  `headers` -
  `readFunctors` -
  `writeFunctors` -
  `editorClasses` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.